<?php
// $Id$

/**
 * @file
 * Default theme implementation for wowachievement.
 *
 * Available variables:
 * - $content: An array of comment items. Use render($content) to print them all, or
 *   print a subset such as render($content['field_example']). Use
 *   hide($content['field_example']) to temporarily suppress the printing of a
 *   given element.
 * - $title: The (sanitized) profile type label.
 * - $url: The URL to view the current profile.
 * - $page: TRUE if this is the main view page $url points too.
 * - $classes: String of classes that can be used to style contextually through
 *   CSS. It can be manipulated through the variable $classes_array from
 *   preprocess functions. By default the following classes are available, where
 *   the parts enclosed by {} are replaced by the appropriate values:
 *   - entity-profile
 *   - profile-{TYPE}
 *
 * Other variables:
 * - $classes_array: Array of html class attribute values. It is flattened
 *   into a string within the variable $classes.
 * - $validated: (boolean) has this character been validated.
 * - $validated_img: checkmark denoting if character has been validated.
 * - $guild_name: Name of Guild if available.
 * - $guild_link: Link to toon's guild.
 * - $updated_interval: Updated XXX hours ago.
 * 
 * @see template_preprocess_wowtoon()
 * @see template_preprocess()
 * @see template_preprocess_entity()
 * @see template_process()
 */
//print("<pre>");
//print_r($content);
//print("</pre>");
?>

<div class="<?php print $classes; ?> clearfix"<?php print $attributes; ?>>
  <div class="content"<?php print $content_attributes; ?>>
  <?php if (isset($toon)):?>
  <div class="wowachievement-nameatrealm"><?php echo $nameatrealmlink; ?></div>
  <div class="wowachievement-avatar">
  <a href="<?php echo $toonlink; ?>"><img src="<?php echo $avatar; ?>" class="wowachievement-avatar" /></a>
  </div>
  <?php endif;?>
  <div class="wowachievement-description">
    <?php if ($content['icon']): ?>
    <span class="wowachievement-icon"><img src="<?php echo $content['icon']; ?>" /></span>
    <?php  endif; ?>
    <?php echo $content['description']; ?>
  </div>
  <div class="wowachievement-ago"><?php echo $content['created_ago']; ?></div>
    <?php
    print render($content); 
    ?>
  </div>
</div>
